Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pmd.cpd
Class CPD

    java.lang.Object
      net.sourceforge.pmd.cpd.CPD

    public class CPD

extends java.lang.Object

Field Summary
`static boolean` | `debugEnable`

Constructor Summary
`CPD(int minimumTileSize, Language language)`

Method Summary
`void` | `add(java.io.File file)`
`void` | `add(java.util.List<java.io.File> files)`
`void` | `addAllInDirectory(java.lang.String dir)`
`void` | `addRecursively(java.lang.String dir)`
`java.util.Iterator<Match>` | `getMatches()`
`static Renderer` | `getRendererFromString(java.lang.String name, java.lang.String encoding)`
`void` | `go()`
`static void` | `main(java.lang.String[] args)`
`void` | `setCpdListener(CPDListener cpdListener)`
`void` | `setEncoding(java.lang.String encoding)`
`void` | `skipDuplicates()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### debugEnable

    public static boolean debugEnable

Constructor Detail

### CPD

    public CPD(int minimumTileSize,
               Language language)

Method Detail

### skipDuplicates

    public void skipDuplicates()

### setCpdListener

    public void setCpdListener(CPDListener cpdListener)

### setEncoding

    public void setEncoding(java.lang.String encoding)

### go

    public void go()

### getMatches

    public java.util.Iterator<Match> getMatches()

### add

    public void add(java.io.File file)
             throws java.io.IOException

  Throws:
    `java.io.IOException`

### addAllInDirectory

    public void addAllInDirectory(java.lang.String dir)
                           throws java.io.IOException

  Throws:
    `java.io.IOException`

### addRecursively

    public void addRecursively(java.lang.String dir)
                        throws java.io.IOException

  Throws:
    `java.io.IOException`

### add

    public void add(java.util.List<java.io.File> files)
             throws java.io.IOException

  Throws:
    `java.io.IOException`

### getRendererFromString

    public static Renderer getRendererFromString(java.lang.String name,
                                                 java.lang.String encoding)

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2009 InfoEther. All Rights Reserved.